Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class JavaScriptStylesheet

    java.lang.Object
      |
      +--com.caucho.xsl.Stylesheet
            |
            +--com.caucho.xsl.StylesheetImpl
                  |
                  +--com.caucho.xsl.JavaScriptStylesheet

public class JavaScriptStylesheet
extends StylesheetImpl

Implementation class for JavaScript stylesheets. It is made public only because generated JavaScript classes need to access these routines.

Inner classes inherited from class com.caucho.xsl.Stylesheet
`Stylesheet.Depend`

Field Summary
`protected Expr[]` | `_xsl_exprs`
`protected XslNumberFormat[]` | `_xsl_formats`
`protected NamespaceContext[]` | `_xsl_ns`
`protected Sort[][]` | `_xsl_sorts`

Fields inherited from class com.caucho.xsl.StylesheetImpl
`defaultDisableEscaping, templates, text`

Fields inherited from class com.caucho.xsl.Stylesheet
`cacheDepends, errorPage`

Constructor Summary
`JavaScriptStylesheet()`

Method Summary
`protected void` | `_xsl_init(XslWriter out, Node context, Env env)`
`java.util.Iterator` | `_xsl_sort(Node node, Env env, int patternIndex, int sortIndex)`
`void` | `anyNumberJs(XslWriter out, Node node, Env env, int countIndex, int fromIndex, int format)`
`void` | `applyImports(XslWriter out, Node node, Env env, java.lang.String mode, int min, int max, int argIndex)`
`protected void` | `applyNode(XslWriter out, Node node, Env env, java.lang.String mode, int min, int max)`
`void` | `applyTemplates(Call call, int length)`
`void` | `callTemplate(XslWriter out, Node node, Env env, java.lang.String name, int argIndex)`
`void` | `copyOf(XslWriter out, Node node, Env env, int index)`
`java.lang.Object` | `evalExpr(Node node, Env env, int index)`
`void` | `exprNumberJs(XslWriter out, Node node, Env env, int exprIndex, int format)`
`long` | `getLastModified()` Returns last modification time
`Pattern` | `getPattern(int index)`
`java.util.ArrayList` | `getScope(int index)`
`java.lang.Object` | `getValue(int index)`
`void` | `init(XslWriter out, java.util.HashMap env)`
`void` | `multiNumberJs(XslWriter out, Node node, Env env, int countIndex, int fromIndex, int format)`
`void` | `popScope(Env env, int count)`
`void` | `printExpr(XslWriter out, Node node, Env env, int index)`
`void` | `pushAttribute(XslWriter out, java.lang.String name, int index)`
`void` | `pushElement(XslWriter out, java.lang.String name, int index)`
`java.util.Iterator` | `select(Node node, Env env, int index)`
`void` | `setParamVariable(XslWriter out, Node node, Env env, java.lang.String name, java.lang.Object newValue)`
`void` | `setVariable(XslWriter out, Node node, Env env, java.lang.String name, java.lang.Object value)`
`void` | `singleNumberJs(XslWriter out, Node node, Env env, int countIndex, int fromIndex, int format)`
`java.lang.String` | `stringExpr(Node node, Env env, int index)`
`boolean` | `test(Node node, Env env, int index)`
`void` | `writeText(XslWriter out, int start, int length)`

Methods inherited from class com.caucho.xsl.StylesheetImpl
`addFunction, anyNumber, applyNodeDefault, exprNumber, getNodeValue, getPath, getTemplate, init, multiNumber, printValue, setSpaces, singleNumber, transform, transformCacheable, xslExecute, xslSort`

Methods inherited from class com.caucho.xsl.Stylesheet
`addCacheDepend, addDepend, addDepend, getCacheDepends, getContentType, getDepends, getErrorPage, getOutputAttribute, isModified, print, print, setOutputAttribute, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _xsl_exprs

    protected Expr[] _xsl_exprs

### _xsl_sorts

    protected Sort[][] _xsl_sorts

### _xsl_ns

    protected NamespaceContext[] _xsl_ns

### _xsl_formats

    protected XslNumberFormat[] _xsl_formats

Constructor Detail

### JavaScriptStylesheet

    public JavaScriptStylesheet()

Method Detail

### getLastModified

    public long getLastModified()

  Returns last modification time
  Overrides:
    `getLastModified` in class `Stylesheet`

### init

    public void init(XslWriter out,
                     java.util.HashMap env)
              throws java.lang.Exception

  Overrides:
    `init` in class `StylesheetImpl`

### _xsl_init

    protected void _xsl_init(XslWriter out,
                             Node context,
                             Env env)
                      throws java.lang.Exception

  Overrides:
    `_xsl_init` in class `StylesheetImpl`

### applyTemplates

    public void applyTemplates(Call call,
                               int length)
                        throws java.lang.Exception

### applyImports

    public void applyImports(XslWriter out,
                             Node node,
                             Env env,
                             java.lang.String mode,
                             int min,
                             int max,
                             int argIndex)
                      throws java.lang.Exception

### callTemplate

    public void callTemplate(XslWriter out,
                             Node node,
                             Env env,
                             java.lang.String name,
                             int argIndex)
                      throws java.lang.Exception

### applyNode

    protected void applyNode(XslWriter out,
                             Node node,
                             Env env,
                             java.lang.String mode,
                             int min,
                             int max)
                      throws java.lang.Exception

  Overrides:
    `applyNode` in class `StylesheetImpl`

### writeText

    public void writeText(XslWriter out,
                          int start,
                          int length)
                   throws java.io.IOException

### singleNumberJs

    public void singleNumberJs(XslWriter out,
                               Node node,
                               Env env,
                               int countIndex,
                               int fromIndex,
                               int format)
                        throws java.lang.Exception

### multiNumberJs

    public void multiNumberJs(XslWriter out,
                              Node node,
                              Env env,
                              int countIndex,
                              int fromIndex,
                              int format)
                       throws java.lang.Exception

### anyNumberJs

    public void anyNumberJs(XslWriter out,
                            Node node,
                            Env env,
                            int countIndex,
                            int fromIndex,
                            int format)
                     throws java.lang.Exception

### exprNumberJs

    public void exprNumberJs(XslWriter out,
                             Node node,
                             Env env,
                             int exprIndex,
                             int format)
                      throws java.lang.Exception

### printExpr

    public void printExpr(XslWriter out,
                          Node node,
                          Env env,
                          int index)
                   throws java.io.IOException

### copyOf

    public void copyOf(XslWriter out,
                       Node node,
                       Env env,
                       int index)
                throws java.io.IOException

### stringExpr

    public java.lang.String stringExpr(Node node,
                                       Env env,
                                       int index)
                                throws XPathParseException

### pushElement

    public void pushElement(XslWriter out,
                            java.lang.String name,
                            int index)
                     throws java.io.IOException

### pushAttribute

    public void pushAttribute(XslWriter out,
                              java.lang.String name,
                              int index)
                       throws java.io.IOException

### select

    public java.util.Iterator select(Node node,
                                     Env env,
                                     int index)
                              throws XPathParseException

### _xsl_sort

    public java.util.Iterator _xsl_sort(Node node,
                                        Env env,
                                        int patternIndex,
                                        int sortIndex)
                                 throws java.lang.Exception

### test

    public boolean test(Node node,
                        Env env,
                        int index)
                 throws XPathParseException

### setParamVariable

    public void setParamVariable(XslWriter out,
                                 Node node,
                                 Env env,
                                 java.lang.String name,
                                 java.lang.Object newValue)
                          throws java.lang.Exception

### setVariable

    public void setVariable(XslWriter out,
                            Node node,
                            Env env,
                            java.lang.String name,
                            java.lang.Object value)
                     throws java.lang.Exception

### evalExpr

    public java.lang.Object evalExpr(Node node,
                                     Env env,
                                     int index)
                              throws java.lang.Exception

### getScope

    public java.util.ArrayList getScope(int index)

### getValue

    public java.lang.Object getValue(int index)

### getPattern

    public Pattern getPattern(int index)

### popScope

    public void popScope(Env env,
                         int count)
                  throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD